Log message for revision 115933:
  don't do a deferred import of this handler which was removed from 
AccessControl

Changed:
  U   Zope/trunk/doc/CHANGES.rst
  U   Zope/trunk/src/Products/Five/security.py

-=-
Modified: Zope/trunk/doc/CHANGES.rst
===================================================================
--- Zope/trunk/doc/CHANGES.rst  2010-08-25 02:04:30 UTC (rev 115932)
+++ Zope/trunk/doc/CHANGES.rst  2010-08-25 02:08:01 UTC (rev 115933)
@@ -12,6 +12,15 @@
 ++++++++++
 
 
+Restructuring
++++++++++++++
+
+- Removed deprecated
+  ``Products.Five.security.create_permission_from_permission_directive``
+  event handler. Its code was moved into the Zope 2 version of the permission
+  directive in ``AccessControl.security``.
+
+
 Features Added
 ++++++++++++++
 

Modified: Zope/trunk/src/Products/Five/security.py
===================================================================
--- Zope/trunk/src/Products/Five/security.py    2010-08-25 02:04:30 UTC (rev 
115932)
+++ Zope/trunk/src/Products/Five/security.py    2010-08-25 02:08:01 UTC (rev 
115933)
@@ -31,6 +31,4 @@
     _getSecurity = 'AccessControl.security:_getSecurity',
     protectName = 'AccessControl.security:protectName',
     protectClass = 'AccessControl.security:protectClass',
-    create_permission_from_permission_directive = \
-        'AccessControl.security:create_permission_from_permission_directive',
 )

_______________________________________________
Zope-Checkins maillist  -  Zope-Checkins@zope.org
https://mail.zope.org/mailman/listinfo/zope-checkins

Reply via email to